# $Revision: 1.13 $, $Date: 2010/04/12 19:25:06 $ 
Summary:	MD5 sum utility
Summary(pl.UTF-8):	Narzędzie do obliczania sum MD5
Name:		ghasher
Version:	1.2.1
Release:	4
License:	BSD
Group:		X11/Applications
Source0:	http://asgaard.homelinux.org/code/ghasher/%{name}-%{version}.tar.gz
# Source0-md5:	36edeaf03bd8827d2a96db86735532fb
Patch0:		%{name}-Makefile.patch
Patch1:		%{name}-desktop.patch
URL:		http://asgaard.homelinux.org/code/ghasher/
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	libglade2-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ghasher is a small GUI utility that calculates MD5/SHA-1 and many
other sums.

%description -l pl.UTF-8
ghasher to małe narzędzie do obliczania sum MD5/SHA-1 i wielu innych.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE `pkg-config gtk+-2.0 libglade-2.0 --cflags`"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ghasher.spec,v $
Revision 1.13  2010/04/12 19:25:06  arekm
- release 4

Revision 1.12  2008/07/27 23:06:48  arekm
- release 3

Revision 1.11  2007-02-13 07:16:45  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:51  baggins
- converted to UTF-8

Revision 1.9  2006/12/26 20:25:13  megabajt
- release 2

Revision 1.8  2006/11/07 22:25:04  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.7  2006/03/27 20:50:17  megabajt
- pass CC

Revision 1.6  2006/01/05 18:59:10  megabajt
- updated to 1.2.1 (added support for hashing > 2GB files)

Revision 1.5  2005/06/17 15:29:08  megabajt
- up to 1.2.0
- more doc

Revision 1.4  2005/03/25 15:08:11  qboosh
- updated URLs

Revision 1.3  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.2  2004/10/06 10:36:45  qboosh
- cosmetics

Revision 1.1  2004/09/18 01:42:44  undefine
- initital version by Kamil 'paladine' Kosiński with small fixes
